package com.gic.haoban.manage.api.dto.qdto.hm;

import java.io.Serializable;
import java.util.Date;

public class HmLinkSearchQDTO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = 5503396473688696547L;
    
    private Date startDate;
    private Date endDate;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String searchParams;
    private Integer linkType;
    private String sortColumn ;
    private String sortType ;
    private Long linkId;
    private String storeId;

    public String getSortColumn() {
        return sortColumn;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public Integer getLinkType() {
        return linkType;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public void setLinkType(Integer linkType) {
        this.linkType = linkType;
    }

    public Long getLinkId() {
        return linkId;
    }

    public HmLinkSearchQDTO setLinkId(Long linkId) {
        this.linkId = linkId;
        return this;
    }

    public String getStoreId() {
        return storeId;
    }

    public HmLinkSearchQDTO setStoreId(String storeId) {
        this.storeId = storeId;
        return this;
    }
}
